import * as $dara from '@darabonba/typescript';
export declare class DeleteSuspEventNodeRequest extends $dara.Model {
    /**
     * @remarks
     * The ID of the description.
     *
     * > You can call the [DescribeSuspEvents](~~DescribeSuspEvents~~) operation to obtain the ID of the description by using the EventNotes field.
     *
     * This parameter is required.
     *
     * @example
     * 123
     */
    noteId?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
